.control-label {
  display: block !important;
}

.el-select {
  display: block !important;
}

legend {
  padding-left: 15px !important;
  margin-top: 20px !important;
  margin-bottom: 20px !important;
  font-size: 1.25rem !important;
  text-align: left !important;
  color: #737373 !important;
}

.v-application ul,
.v-application ol {
  padding-left: 0px;
}

.alert-info {
  color: #0c5460;
  background-color: #d1ecf1;
  border-color: #bee5eb;
  position: relative;
  padding: .75rem 1.25rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: .25rem;
}

.alert-warning {
  color: #533f03;
  background-color: #FFE28C;
  border-color: #FFE28C;
  position: relative;
  padding: .75rem 1.25rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: .25rem;
}

.el-date-editor.el-input,
.el-date-editor.el-input__inner,
.el-input-number {
  width: 100% !important;
}

.el-input-number {}

.vue-form-wizard .wizard-tab-content {
  padding: 10px 20px 10px !important;
}

input[type="text"] {
  background: transparent !important;
  border: none !important;
  border-bottom: 1px solid #737373 !important;
}

input[type="password"] {
  background: transparent !important;
  border: none !important;
  border-bottom: 1px solid #737373 !important;
}

.select-default.el-select .el-input:hover .el-input__icon,
.select-default.el-select .el-input:hover input {
  color: #737373 !important;
}

.select-default.el-select-dropdown__item.selected,
.select-default.el-select-dropdown__item.selected.hover {
  background-color: #1678e1 !important;
  color: white !important;
}

/* .select-default.el-select .el-input:hover input,
.select-default.el-select .el-input:hover .el-input__icon {
  background-color: #1678e1 !important;
} */

.select-default .el-tag,
.select-default .el-tag.el-tag--info {
  background-color: #1678e1 !important;
}

.nav li {
  text-align: left !important;
}

.sidebar .sidebar-wrapper>.nav li>a,
.off-canvas-sidebar .sidebar-wrapper>.nav li>a {
  padding-left: 5px !important;
  display: inline-block !important;
}

.sidebar .sidebar-wrapper {
  font-weight: bolder !important;
}

.sidebar .sidebar-wrapper>.nav p,
.off-canvas-sidebar .sidebar-wrapper>.nav p {
  font-weight: bolder !important;
  text-transform: none !important;
  font-size: 16px !important;
}

.fa-xs {
  font-size: 24px !important;
}

.edit,
.warning,
.delete {
  width: 95px !important;
  height: 30px !important;
  font-size: 12px !important;
  padding: 5px 10px !important;
}

.btn-s {
  width: 40px !important;
  height: 40px !important;
  max-width: 40px !important;
  max-height: 40px !important;
}

.customCurrency .input-group .input-group-text {
  width: 30px !important;
  text-align: right !important;
  padding: 10px !important;
  padding-left: 15px !important;
  padding-right: 20px !important;
  padding-bottom: 7px !important;
  background-color: #737373 !important;
  color: white !important;
  border: 1px solid #737373 !important;
  border-radius: 2em !important;
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.customCurrency input {
  height: initial !important;
}

.customCurrency button {
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
  border: 1px solid #737373 !important;
}

.customCurrency button:hover,
.customCurrency button:active,
.customCurrency button:visited,
.customCurrency button:focus {
  border: 1px solid #737373 !important;
  background-color: transparent !important;
  color: #737373 !important;
  cursor: default !important;
  border-color: #737373 !important;
}

.customCurrency .btn-secondary:not(:disabled):not(.disabled):active,
.customCurrency .btn-secondary:not(:disabled):not(.disabled).active,
.customCurrency .show>.btn-secondary.dropdown-toggle {
  color: #fff !important;
  background-color: #737373 !important;
  border-color: #737373 !important;
  border: 1px solid #737373 !important;
}

.customCurrency div .dropdown-menu.dropdown-menu-right.show,
.customCurrency div .dropdown-menu.dropdown-menu.show {
  opacity: 1 !important;
  visibility: visible !important;
  max-height: 250px !important;
  overflow: scroll !important;
  overflow-x: hidden !important;
}

.customCurrency div .dropdown-menu.dropdown-menu-right,
.customCurrency div .dropdown-menu.dropdown-menu {
  max-height: 250px !important;
  overflow: scroll !important;
}

.select-default.el-select .el-input .el-input__icon:hover {
  color: white !important;
}

.select-default.el-select .el-input .el-input__icon {
  color: #737373;
}

.select-default.el-select .el-input input {
  background-color: white;
  border-color: #737373 !important;
  border-width: 2px;
  border-radius: 20px;
  color: #737373;
}

.select-default.el-select .el-input .el-input__icon {
  display: inline-block;
  font-size: 16px !important;
  line-height: 30px !important;
  width: 30px !important;
  height: 30px !important;
  text-align: center !important;
  vertical-align: bottom !important;
}

.el-input:hover .el-input__suffix .el-input__suffix-inner .el-input__icon {
  color: white !important;
}

.navbar-default {
  box-sizing: border-box !important;
  background: #0094fd !important;
  background-image: linear-gradient(to right, #0094fd, #2dc5fe) !important;
  /* f56150 */
  color: #fff !important;
  /* lightblue !important; */
  /* #68B3C8 */
}

.nombre h5,
.navbar-brand {
  font-weight: 600 !important;
  margin-bottom: 5px !important;
  color: #ffffff !important;
}
/* common */
.ribbon {
  width: 150px;
  height: 150px;
  overflow: hidden;
  position: absolute;
}

.ribbon::before,
.ribbon::after {
  position: absolute;
  z-index: -1;
  content: '';
  display: block;
  border: 5px solid #ff5512;
}

.ribbon span {
  position: absolute;
  display: block;
  width: 225px;
  padding: 15px 0;
  background-color: #ff5512;
  /* box-shadow: 0 5px 10px rgba(0, 0, 0, .1); */
  color: #fff;
  font: 700 18px/1 'Lato', sans-serif;
  text-shadow: 0 1px 1px rgba(0, 0, 0, .2);
  text-transform: uppercase;
  text-align: center;
}

/* top right*/
.ribbon-top-right {
  top: -10px;
  right: -10px;
}

.ribbon-top-right::before,
.ribbon-top-right::after {
  border-top-color: transparent;
  border-right-color: transparent;
}

.ribbon-top-right::before {
  top: 0;
  left: 0;
}

.ribbon-top-right::after {
  bottom: 0;
  right: 0;
}

.ribbon-top-right span {
  left: -25px;
  top: 30px;
  transform: rotate(45deg);
}
.nombre p.text-muted.ente {
  font-weight: 600 !important;
  color: #fff !important;
}

.btn.btn-fill,
.navbar .navbar-nav>li>a.btn.btn-fill {
  background-color: #fdfcf7 !important;
  color: #0094fd !important;
}

.btn,
.navbar .navbar-nav>li>a.btn {

  border-color: #2dc5fe;
  color: #0094fd;
}

.btn:hover,
.navbar .navbar-nav>li>a.btn:hover {
  border-color: #2dc5fe !important;
  color: #1678e1;

}

.navbar .navbar-nav>li>a.btn.btn-primary:hover,
.navbar .navbar-nav>li>a.btn.btn-primary:focus,
.navbar .navbar-nav>li>a.btn.btn-primary:active,
.navbar .navbar-nav>li>a.btn.btn-primary.active,
.open>.navbar .navbar-nav>li>a.btn.btn-primary.dropdown-toggle,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open>.btn-primary.dropdown-toggle {
  background-color: #fff;
  color: #0094fd !important;
  border-color: #1678e1;

  box-shadow: 0 0 0 0.2rem rgba(58, 176, 195, 0.5);

}

.btn-success:hover,
.btn-success:focus,
.btn-success:active,
.btn-success.active,
.open>.btn-success.dropdown-toggle {
  background-color: #fff;
  color: #28a745 !important;
  border-color: #28a745 !important;

  box-shadow: 0 0 0 0.2rem rgba(58, 195, 92, 0.5);

}

.btn-success {
  background-color: #fff;
  color: #28a745 !important;
  border-color: #99f5ae !important;

}

.btn-warning:hover,
.btn-warning:focus,
.btn-warning:active,
.btn-warning.active,
.open>.btn-warning.dropdown-toggle {
  background-color: #fff;
  color: #ffad00  !important;
  border-color: #ffad00  !important;

  box-shadow: 0 0 0 0.2rem rgba(206, 159, 57, 0.5);
}

.btn-warning:active,
.btn-warning.active {
  background-color: #fff;
  color: #fff !important;
  border-color: #ffad00  !important;

  box-shadow: 0 0 0 0.2rem rgba(206, 159, 57, 0.5);
}

.btn-warning {
  background-color: #fff;
  color: #ffad00  !important;
  border-color: #ffad00  !important;

}

.btn.btn-s.edit.mr-2.btn-warning:hover {
  color: #ffad00  !important;
  border-color: #ffad00 !important;
}
.btn-primary {
  background-color: #fff;

}

.btn-danger:hover,
.btn-danger:focus,
.btn-danger:active,
.btn-danger.active,
.open>.btn-danger.dropdown-toggle {
  background-color: #fff;
  color: #dc3545 !important;
  border-color: #dc3545 !important;

  box-shadow: 0 0 0 0.2rem rgba(195, 58, 58, 0.5);

}

.btn-danger {
  background-color: #fff !important;
  color: #dc3545 !important;
  border-color: #ffa4ad !important;

}

.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:active,
.btn-secondary.active,
.btn-secondary:disabled,
.btn-secondary {
  background-color: #fff !important;
  color: #737373 !important;
  border-color: #737373 !important;
  box-shadow: none !important;
}

.btn.btn-fill:hover,
.btn.btn-fill:focus,
.btn.btn-fill:active,
.btn.btn-fill.active,
.open>.btn.btn-fill.dropdown-toggle,
.navbar .navbar-nav>li>a.btn.btn-fill:hover,
.navbar .navbar-nav>li>a.btn.btn-fill:focus,
.navbar .navbar-nav>li>a.btn.btn-fill:active,
.navbar .navbar-nav>li>a.btn.btn-fill.active,
.open>.navbar .navbar-nav>li>a.btn.btn-fill.dropdown-toggle {
  background-color: #ffffff !important;
  border-color: #1678e1 !important;
  color: #1678e1;
}

.vue-form-wizard .wizard-title {
  color: #737373 !important;
  font-weight: 400 !important;
}

.text-muted {
  color: #737373 !important;
  /* font-weight: 600 !important; */
}

.swal2-icon-text {
  font-size: 1.25em !important;
}

.swal2-icon {
  font-size: 1.25em !important;
}

.table>thead>tr>th,
.table>tbody>tr>th,
.table>tfoot>tr>th,
.table>thead>tr>td,
.table>tbody>tr>td,
.table>tfoot>tr>td {
  padding: 5px !important;
  vertical-align: middle !important;
}

table.b-table>tbody>tr>td {
  text-transform: uppercase !important;
  font-size: 12px !important;
  min-width: 220px !important;
}

table.b-table>thead {
  display: contents !important;
}

.td-small {
  max-width: 120px !important;
}

table.b-table>thead>tr>th.td-small,
table.b-table>tfoot>tr>th.td-small {
  width: 120px !important;
  max-width: 120px !important;
  min-width: 120px !important;
}

table.b-table>tbody>tr>td.td-small {
  width: 120px !important;
  max-width: 120px !important;
  min-width: 120px !important;
}

table.b-table>thead>tr>th.td-medium,
table.b-table>tfoot>tr>th.td-medium {
  width: 160px !important;
  max-width: 160px !important;
  min-width: 160px !important;
}

table.b-table>tbody>tr>td.td-medium {
  width: 160px !important;
  max-width: 160px !important;
  min-width: 160px !important;
}

/* hr {
  height: 2px !important;
} */
hr {
  border: 0 !important;
  clear: both !important;
  display: block !important;
  width: 100% !important;
  height: 2px !important;
}

.blur-img {
  filter: blur(6px) !important;
  -webkit-filter: blur(6px) !important;
}

.full-page[data-image]:after,
.full-page.has-image:after {
  background: rgb(109, 6, 168) !important;
  background: linear-gradient(45deg,
      #f1f1f1 100%,
      #ebebeb 100%) !important;
  opacity: 1 !important;
}

.full-page:after,
.full-page:after {
  background: rgb(109, 6, 168) !important;
  background: linear-gradient(45deg,
      #f1f1f1 100%,
      #ebebeb 100%) !important;
  opacity: 1 !important;
}

.bg-login {
  background: black !important;
}

/* .full-page:after {
    background: #5e5e5e !important;
    z-index: 3 !important;
    opacity: 1 !important;
} */
#loader-wrapper {
  position: fixed !important;
  top: 0 !important;
  left: 0 !important;
  width: 100% !important;
  height: 100% !important;
  background-color: #ffffff !important;
  z-index: 999999 !important;
  opacity: .5 !important;
}

#loader-wrapper #loader {
  border: 3px solid transparent !important;
  border-top-color: #374853 !important;
  border-radius: 50% !important;
  display: block !important;
  margin: -75px 0 0 -75px !important;
  width: 150px !important;
  height: 150px !important;
  position: relative !important;
  top: 50% !important;
  left: 50% !important;
  -webkit-animation: spin 2s linear infinite !important;
  animation: spin 2s linear infinite !important;
}

#loader-wrapper #loader:before {
  border: 3px solid transparent !important;
  border-top-color: #ffd556 !important;
  border-radius: 50% !important;
  content: "" !important;
  position: absolute !important;
  top: 5px !important;
  right: 5px !important;
  bottom: 5px !important;
  left: 5px !important;
  -webkit-animation: spin 3s linear infinite !important;
  animation: spin 3s linear infinite !important;
}

#loader-wrapper #loader:after {
  border: 3px solid transparent !important;
  border-top-color: #374853 !important;
  border-radius: 50% !important;
  content: "" !important;
  position: absolute !important;
  top: 15px !important;
  left: 15px !important;
  bottom: 15px !important;
  right: 15px !important;
  -webkit-animation: spin 1.5s linear infinite !important;
  animation: spin 1.5s linear infinite !important;
}

/*** Animations ***/
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg) !important;
    transform: rotate(0deg) !important;
  }

  100% {
    -webkit-transform: rotate(360deg) !important;
    transform: rotate(360deg) !important;
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg) !important;
    transform: rotate(0deg) !important;
  }

  100% {
    -webkit-transform: rotate(360deg) !important;
    transform: rotate(360deg) !important;
  }
}


input.isDanger,
.isDanger,
.el-select .isDanger * input,
.el-picker-panel__content .isDanger * input {
  border: 1px solid #ee0000 !important;
}

.el-select .isDanger,
.el-picker-panel__content .isDanger {
  border: none !important;
}

@media (min-width: 992px) {
  .table-responsive {
    overflow: auto !important;
  }
}

table.b-table>thead>tr>th,
table.b-table>tfoot>tr>th {
  text-align: center !important;
  font-weight: 500 !important;
  padding: 5px !important;
  font-size: 14px !important;
  min-width: 220px !important;
  max-width: 100% !important;
  white-space: nowrap !important;
  text-transform: uppercase !important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none !important;
  margin: 0 !important;
}

input[type="number"] {
  background: transparent !important;
  border: none !important;
  border-bottom: 1px solid #737373 !important;
}

.mx-datepicker {
  width: 100% !important;
  height: 40px;
}

.mx-input {
  padding: 7px 18px !important;
  height: 40px !important;
  color: #737373 !important;
  -webkit-box-shadow: none;
  box-shadow: none;
}

input[type="date"],
input[type="time"],
input[type="datetime-local"],
input[type="month"] {
  display: block !important;
  background: transparent !important;
  border: none !important;
  border-bottom: 1px solid #737373 !important;
  border-radius: 4px !important;
  color: #737373 !important;
  font-size: 14px !important;
  padding: 7px 18px !important;
  height: 40px !important;
  width: 100% !important;
}

input::placeholder {
  opacity: 1 !important;
}

textarea {
  border: 1px solid #737373 !important;
  background: #fff !important;
}


.el-transfer-panel {
  width: 40% !important;
}

.el-transfer {}

.el-transfer-panel .el-transfer-panel__header .el-checkbox .el-checkbox__label {
  font-size: 16px;
  color: #484541;
  font-weight: normal;
}

.el-transfer__button {
  display: block;
  margin: 0 auto;
  padding: 10px;
  border-radius: 50%;
  color: #FFFFFF;
  background-color: #1678e1;
  font-size: 0;
  border-color: #1678e1 !important;
  border-width: 2px;
  /* #fdfcf7 !important */
}

.el-button--primary:hover,
.el-button--primary:focus {
  background-color: #fdfcf6 !important;
  color: #66635e !important;
  border-color: #484541 !important;
  border-width: 2px;
}

.el-checkbox__input.is-checked+.el-checkbox__label {
  color: #68b2c8;
}

.el-checkbox__input.is-checked .el-checkbox__inner {
  background-color: #68b2c8;
  border-color: #68b2c8;

}

.el-transfer__button.is-disabled {
  border: 0px solid #1678e1 !important;
  background-color: #cbe5ec !important;
  color: #ffffff !important;
}

[class^="el-icon-"],
[class*=" el-icon-"] {
  font-weight: 900 !important;
}

.el-icon-circle-close {
  /*  background: none !important; */
  /*  color: #585858 !important;
  line-height: 35px !important;
  width: 30px !important;
  height: 30px !important; */
}

label {
  color: #585858 !important;
}

.stepTitle.active {
  color: #737373 !important;
  padding: 15px;
}

.stepTitle {
  padding: 15px;
}

.btn-popover {
  border: none !important;
  color: #737373 !important;
  background: transparent !important;
  padding: 0 !important;
}

.btn-popover:hover {
  border: none !important;
  color: #0094fd !important;
  background: transparent !important;
}

.popover-header {
  padding: .5rem .75rem;
  margin-bottom: 0;
  font-size: 1rem;
  background-color: #f7f7f7;
  border-bottom: 1px solid #ebebeb;
  border-top-left-radius: calc(.3rem - 1px);
  border-top-right-radius: calc(.3rem - 1px);
}

.popover-header h3 {
  margin-top: 0 !important;
  color: #212529 !important;
}

.popover-body {
  padding: .5rem .75rem;
  color: #212529;
}

.bs-popover-auto[x-placement^=right]>.arrow,
.bs-popover-right>.arrow {
  left: calc(-.5rem + -1px);
  width: .5rem;
  height: 1rem;
  margin: .3rem 0;
}

.popover .arrow {
  width: 1rem;
  height: .5rem;
  margin: 0 .3rem;
}

.popover,
.popover .arrow {
  position: absolute;
  display: block;
}

.bs-popover-auto[x-placement^=right],
.bs-popover-right {
  margin-left: .5rem;
}

.popover {
  top: 0;
  left: 0;
  z-index: 1060;
  max-width: 276px;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  /* white-space: normal; */
  white-space: pre-line;
  line-break: auto;
  font-size: .875rem;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: .3rem;
}

.checkbox,
.radio {
  margin-bottom: 0px !important;
  margin-top: 12px !important;
}
